=== test/CMakeLists.txt ===
add_subdirectory(api)
add_subdirectory(shaping)
add_subdirectory(subset)
add_subdirectory(fuzzing)
