=== debian/changelog ===
harfbuzz (2.6.4-1ubuntu4) focal; urgency=medium

  * Increase slow new fuzzer test timeouts for riscv64.

 -- William Grant <wgrant@ubuntu.com>  Tue, 31 Mar 2020 17:01:35 +1100

harfbuzz (2.6.4-1ubuntu3) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:32:53 +0100

harfbuzz (2.6.4-1ubuntu2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 08:58:26 +0100

harfbuzz (2.6.4-1ubuntu1) focal; urgency=medium

  * Make autopkgtests cross-test-friendly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 08 Dec 2019 21:37:05 -0800

harfbuzz (2.6.4-1) unstable; urgency=medium

  * Imported Upstream version 2.6.4
  * Add Rules-Requires-Root: no
  * Update symbols file

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 03 Nov 2019 03:37:28 +0100

harfbuzz (2.6.2-1) unstable; urgency=medium

  * Imstall cmake file in libharfbuzz-dev
  * Revert "Add separate dh_makeshlibs call for the udeb"
    This reverts commit a4bbcc06c858fb5f1e07dca96fc2eee32819036d.
  * Add d/not-installed to list deliberately non-installed files
  * Imported Upstream version 2.6.2
  * Update standards version to 4.4.1

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 03 Oct 2019 06:06:33 +0200
