=== debian/watch ===
version=3
https://www.freedesktop.org/software/harfbuzz/release/harfbuzz-([\d\.]+)\.tar\.(?:xz|bz2|gz)
