## harfbuzz 2.6.4-1ubuntu4.2~bpo18.04.1~lo1+9.0trisquel1

=== debian/changelog ===
harfbuzz (2.6.4-1ubuntu4.2~bpo18.04.1~lo1+9.0trisquel1) etiona-backports; urgency=medium

  * Backported into Trisquel as a dependency of libreoffice (fresh)

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 27 Sep 2022 05:40:15 +0000

harfbuzz (2.6.4-1ubuntu4.2~bpo18.04.1~lo1) bionic; urgency=medium

  * No-change backport to bionic.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 10 Sep 2022 22:22:21 +0200

harfbuzz (2.6.4-1ubuntu4.2) focal-security; urgency=medium

  * SECURITY UPDATE: DoS via integer overflow
    - debian/patches/CVE-2022-33068-1.patch: limit glyph extents in
      src/hb-ot-color-sbix-table.hh.
    - debian/patches/CVE-2022-33068-2.patch: fix conditional in
      src/hb-ot-color-sbix-table.hh.
    - CVE-2022-33068
  * debian/rules: increase fuzzer timeouts to fix FTBFS on riscv64.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Jul 2022 12:43:13 -0400
