## harfbuzz 2.6.7

=== debian/changelog ===
harfbuzz (2.6.7-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 27 Sep 2020 18:23:07 -0700

harfbuzz (2.6.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.5.0, no changes needed.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream version 2.6.7
  * Dropped py3.diff patch, applied upstream
  * Update symbols
  * Bumped compat level to 13
  * Add libfreetype2-dev to deps of libharfbuzz-dev

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 13 Jun 2020 15:28:02 +0200
