=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: harfbuzz
 Section: libs
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Build-Depends:
  debhelper (>= 12),
  pkg-config,
@@ -82,6 +82,7 @@
  libglib2.0-dev (>= 2.19.1),
  libgraphite2-dev,
  libicu-dev,
+ libfreetype6-dev,
 Description: Development files for OpenType text shaping engine
  HarfBuzz is an implementation of the OpenType Layout engine (aka layout
  engine) and the script-specific logic (aka shaping engine).
