=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,6 @@
 
 # Needed for glib-mkenums to work with UTF-8 input
 export LC_ALL=C.UTF-8
-
-# Increase slow fuzzer test timeouts for riscv64.
-export HB_TEST_SHAPE_FUZZER_TIMEOUT=10
-export HB_TEST_SUBSET_FUZZER_TIMEOUT=20
 
 %:
 	dh $@ --with gir
@@ -30,7 +26,11 @@
 	dh_auto_install --builddir build-main
 
 override_dh_install:
-	dh_install -Xsubset
+	dh_install --exclude=subset
 
 override_dh_makeshlibs:
-	dh_makeshlibs -V --add-udeb="libharfbuzz0-udeb" -- -c4
+	dh_makeshlibs --version-info --add-udeb="libharfbuzz0-udeb" -- -c4
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
