## harfbuzz 2.7.4

=== debian/changelog ===
harfbuzz (2.7.4-1ubuntu3.2) jammy-security; urgency=medium

  * SECURITY UPDATE: resource consumption via consecutive marks
    - debian/patches/CVE-2023-25193-pre1.patch: refactor
      skippy_iter.match() in src/hb-ot-layout-gsubgpos.hh.
    - debian/patches/CVE-2023-25193-1.patch: avoid O(n^2) behavior in
      mark-attachment in src/hb-ot-layout-gsubgpos.hh,
      src/hb-ot-layout-gpos-table.hh.
    - debian/patches/CVE-2023-25193-2.patch: optimize
      _infos_set_glyph_flags to avoid O(n^2) behavior in src/hb-buffer.hh.
    - debian/patches/CVE-2023-25193-3.patch: fix up previous commit in
      src/hb-buffer.hh.
    - debian/patches/CVE-2023-25193-4.patch: fix assert fail introduced
      recently in src/hb-ot-layout-gpos-table.hh.
    - CVE-2023-25193

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 30 Jan 2025 13:07:47 -0500

harfbuzz (2.7.4-1ubuntu3.1) jammy-security; urgency=medium

  * SECURITY UPDATE: DoS via integer overflow
    - debian/patches/CVE-2022-33068-1.patch: limit glyph extents in
      src/hb-ot-color-sbix-table.hh.
    - debian/patches/CVE-2022-33068-2.patch: fix conditional in
      src/hb-ot-color-sbix-table.hh.
    - CVE-2022-33068

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Jul 2022 12:40:13 -0400

harfbuzz (2.7.4-1ubuntu3) jammy; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Feb 2022 05:39:28 +0100

harfbuzz (2.7.4-1ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:12:34 +0200

harfbuzz (2.7.4-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Mar 2021 08:08:20 +0100

harfbuzz (2.7.4-1) unstable; urgency=medium

  * New upstream version.
  * Update symbols.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 18 Jan 2021 16:43:29 +0100

harfbuzz (2.6.7-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:34:05 +0100

harfbuzz (2.6.7-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian, remaining changes:
    - Make autopkgtests cross-test-friendly.
    - Increase slow new fuzzer test timeouts for riscv64.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 02 Nov 2020 12:33:18 +0000

harfbuzz (2.6.4-1ubuntu5) groovy; urgency=medium

  * No change rebuild against new icu ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 27 Jul 2020 16:41:43 +0100
