=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: harfbuzz
 Section: libs
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
 Standards-Version: 4.5.0
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 13),
  pkg-config,
  libglib2.0-dev (>= 2.19.1),
  libcairo2-dev,
