=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 # Needed for glib-mkenums to work with UTF-8 input
 export LC_ALL=C.UTF-8
+
+# Increase slow fuzzer test timeouts for riscv64.
+export HB_TEST_SHAPE_FUZZER_TIMEOUT=10
+export HB_TEST_SUBSET_FUZZER_TIMEOUT=20
 
 %:
 	dh $@ --with gir
@@ -30,7 +34,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs --version-info --add-udeb="libharfbuzz0-udeb" -- -c4
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
