=== debian/watch ===
version=3
https://github.com/harfbuzz/harfbuzz/releases \
	https://github.com/harfbuzz/harfbuzz/releases/download/.*/harfbuzz-([\d\.]+)\.tar\.(?:xz|bz2|gz)
