## harfbuzz 5.2.0

=== debian/changelog ===
harfbuzz (5.2.0-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 22 Sep 2022 06:28:46 -0400

harfbuzz (5.2.0-1) experimental; urgency=medium

  * Team upload
  * New upsream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 17 Sep 2022 09:13:45 -0400

harfbuzz (5.1.0-1) experimental; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release (Closes: #1010435)
    - Includes fix for CVE-2022-33068 (Closes: #1013673)
  * Build with meson
  * Build-Depend on dh-sequence-gir
  * Build-Depend on libchafa-dev
  * debian/*.symbols: Add new symbols
  * debian/libharfbuzz0b.docs: TODO is no longer provided
  * Add debian/gbp.conf
  * Enable all hardening flags
  * Bump Standards-Version to 4.6.1

  [ Laurent Bigonville ]
  * debian/control.in: Switch dependencies from libfreetype6-dev to
    libfreetype-dev

  [ Simon McVittie ]
  * Update upstream metadata to point to repository on Github

  [ Steve Langasek ]
  * debian/tests/build: Make cross-test-friendly

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Sep 2022 17:14:37 -0400
