## harfbuzz 6.0.0

=== debian/changelog ===
harfbuzz (6.0.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop patch applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 28 Dec 2022 07:34:07 -0900

harfbuzz (5.3.1-2) unstable; urgency=medium

  * Cherry-pick patch to fix build test when built with LTO

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Dec 2022 08:20:37 -0500

harfbuzz (5.3.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debian/libharfbuzz0b.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 13 Dec 2022 08:55:50 -0500
