## harfbuzz 6.0.0%2Bdfsg

=== debian/changelog ===
harfbuzz (6.0.0+dfsg-3) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Feb 2023 16:47:11 -0500

harfbuzz (6.0.0+dfsg-2) experimental; urgency=medium

  * Team upload

  * Add a libharfbuzz-subset0 package (closes: #988781).

 -- Andres Salomon <dilinger@debian.org>  Mon, 30 Jan 2023 12:28:44 -0500

harfbuzz (6.0.0+dfsg-1) unstable; urgency=medium

  [ Andres Salomon ]
  * Use Files-Excluded to exclude non-free test fonts
    and generate a new tarball
  * Update debian/copyright for numerous font licenses and copyright holders

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 30 Jan 2023 11:44:28 -0500
