=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: harfbuzz
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-gir,
+ meson (>= 0.55),
  pkg-config,
- libglib2.0-dev (>= 2.19.1),
+ libglib2.0-dev,
  libcairo2-dev,
- libfreetype6-dev,
+ libchafa-dev,
+ libfreetype-dev,
  libicu-dev,
  libgraphite2-dev,
- libgirepository1.0-dev (>= 1.31.0-2),
- gobject-introspection (>= 1.42.0),
- gtk-doc-tools (>= 1.15),
- python3:any
+ libgirepository1.0-dev,
+ gtk-doc-tools,
 Rules-Requires-Root: no
 Homepage: https://www.freedesktop.org/wiki/Software/HarfBuzz
 Vcs-Git: https://salsa.debian.org/freedesktop-team/harfbuzz.git
@@ -28,7 +28,6 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: libharfbuzz0, libharfbuzz0a
 Replaces: libharfbuzz0, libharfbuzz0a
-Pre-Depends: ${misc:Pre-Depends}
 Description: OpenType text shaping engine (shared library)
  HarfBuzz is an implementation of the OpenType Layout engine (aka layout
  engine) and the script-specific logic (aka shaping engine).
@@ -39,7 +38,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Description: OpenType text shaping engine ICU backend (GObject library)
  HarfBuzz is an implementation of the OpenType Layout engine (aka layout
  engine) and the script-specific logic (aka shaping engine).
@@ -79,10 +77,10 @@
  libharfbuzz-icu0 (= ${binary:Version}),
  libharfbuzz-gobject0 (= ${binary:Version}),
  gir1.2-harfbuzz-0.0 (= ${binary:Version}),
- libglib2.0-dev (>= 2.19.1),
+ libglib2.0-dev,
  libgraphite2-dev,
  libicu-dev,
- libfreetype6-dev,
+ libfreetype-dev,
 Description: Development files for OpenType text shaping engine
  HarfBuzz is an implementation of the OpenType Layout engine (aka layout
  engine) and the script-specific logic (aka shaping engine).
