## harfbuzz 8.0.0

=== debian/changelog ===
harfbuzz (8.0.0-3) unstable; urgency=medium

  * Add subset-Fix-cast-align-issue.patch to fix cast-align issue.
    Fixes build on 32-bit ARM archs

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 12 Jul 2023 05:27:57 +0200

harfbuzz (8.0.0-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Drop obsolete Files-Excluded.
    As was pointed out in the below commit, the 2 files
    are no longer provided in the latest releases of HarfBuzz
    Revert "Fill in d/copyright, and also bump version string w/ +dfsg"
    This partially reverts commit 040799cd82759f57a0cfcbf40e4cc7a1d77a5a0a.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Drop invalid-language-zero.patch as it resulted in an API change causing
    other (C++) packages to FTBFS (Closes: #1040872)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 12 Jul 2023 02:47:25 +0200

harfbuzz (8.0.0-1) unstable; urgency=medium

  * New upstream version 8.0.0
    - Fixes FTBFS with GCC-13 (Closes: #1037687)
    - Includes fix for CVE-2023-25193 (Closes: #1030612)
    - Pass libharfbuzz as positional parameter for GIR generation
      (Closes: #1039498)
  * Update copyright years
  * Drop fix-tests.patch, applied upstream
  * Add libharfbuzz-cairo0 package
  * Update symbols' files
  * Add invalid-language-zero.patch to remove typecast from
    HB_LANGUAGE_INVALID definition.
    Thanks to James Addison <jay@jp-hosting.net> (Closes: #1035669)
  * d/libharfbuzz0b.symbols: update symbols

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 10 Jul 2023 04:00:02 +0200
