## harfbuzz 8.0.1

=== debian/changelog ===
harfbuzz (8.0.1-1+rb1) unstable; urgency=medium

  * New upstream version 8.0.1
  * Drop subset-Fix-cast-align-issue.patch, applied upstream
  * Update copyright holders

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 12 Jul 2023 22:45:57 +0200
