=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-gir,
@@ -76,6 +76,8 @@
  libharfbuzz0b (= ${binary:Version}),
  libharfbuzz-icu0 (= ${binary:Version}),
  libharfbuzz-gobject0 (= ${binary:Version}),
+ libharfbuzz-subset0 (= ${binary:Version}),
+ libharfbuzz-cairo0 (= ${binary:Version}),
  gir1.2-harfbuzz-0.0 (= ${binary:Version}),
  libglib2.0-dev,
  libgraphite2-dev,
@@ -98,6 +100,28 @@
  .
  This package contains a command line interface for the HarfBuzz library.
 
+Package: libharfbuzz-subset0
+Multi-Arch: same
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: OpenType text shaping engine (subset library)
+ HarfBuzz is an implementation of the OpenType Layout engine (aka layout
+ engine) and the script-specific logic (aka shaping engine).
+ .
+ This package contains the library for subsetting fonts. Subsetting reduces
+ codepoint coverage of font files and removes unnecessary data.
+
+Package: libharfbuzz-cairo0
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Description: OpenType text shaping engine Cairo backend
+ HarfBuzz is an implementation of the OpenType Layout engine (aka layout
+ engine) and the script-specific logic (aka shaping engine).
+ .
+ This package contains the Cairo backend.
+
 Package: libharfbuzz-doc
 Section: doc
 Architecture: all
